Name:		kmplayer
Version:	0.12.0b
Release:	%mkrel 1
Summary:	A multimedia mplayer/phonon frontend for Plasma 5
License:	GPLv2+
Group:		Video/Players
Url:		https://kmplayer.kde.org/
Source:		http://download.kde.org/stable/kmplayer/0.12/%{name}-%{version}.tar.bz2
Patch0:		kmplayer-0.12.0b-fix-desktop-file.patch

BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	gettext
# Kf5 BuildRequires
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5Init)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5KDELibs4Support)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5MediaPlayer)
BuildRequires:	cmake(KF5Parts)
BuildRequires:	cmake(KF5WidgetsAddons)
# Qt5 BuildRequires
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(phonon4qt5)

Recommends:	mplayer

%description
Kmplayer can play all the audio/video supported by mplayer/phonon from a
local file or URL and be embedded in Konqueror and KHTML.
It also plays DVDs.

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_kf5_bindir}/%{name}
%{_kf5_bindir}/kphononplayer
%{_kf5_datadir}/%{name}/
%{_kf5_services}/*.desktop
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_libdir}/*.so
%{_qt5_plugindir}/*.so
%{_kf5_iconsdir}/hicolor/*/*/*
%{_kf5_applicationsdir}/%{name}.desktop
%config(noreplace) %{_kf5_sysconfdir}/xdg/%{name}rc

#----------------------------------------------------

%package	npplayer
Group:		Video/Utilities
Summary:	Kmplayer netscape plugin player
Requires:	%{name}

%description	npplayer
Kmplayer netscape plugin player.

%files npplayer
%doc AUTHORS ChangeLog README
%{_kf5_bindir}/knpplayer

#----------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang %{name} --with-html


%changelog
* Fri Dec 09 2016 daviddavid <daviddavid> 0.12.0b-1.mga6
+ Revision: 1073768
- new version: 0.12.0b

* Fri Jul 15 2016 daviddavid <daviddavid> 0.12.0a-1.mga6
+ Revision: 1042235
- new version: 0.12.0a
- port to Qt5/Kf5
- update URL and Source URL
- update Summary

* Mon May 09 2016 luigiwalser <luigiwalser> 0.11.5-1.mga6
+ Revision: 1011306
- 0.11.5

* Thu Mar 31 2016 daviddavid <daviddavid> 0.11.3d-7.mga6
+ Revision: 997174
- add two upstream patches to fix build with CMake 3.4 and higher

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.11.3d-6.mga5
+ Revision: 742809
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11.3d-5.mga5
+ Revision: 681132
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.11.3d-4.mga4
+ Revision: 506723
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.11.3d-3.mga3
+ Revision: 356330
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 neoclust <neoclust> 0.11.3d-2.mga3
+ Revision: 341088
- Fix group

  + fwang <fwang>
    - there is no need checking desktop files, as we are doing this via rpmlint

* Wed Jun 20 2012 fwang <fwang> 0.11.3d-1.mga3
+ Revision: 262026
- new version 0.11.3d

* Sun Apr 15 2012 luigiwalser <luigiwalser> 0.11.3c-1.mga2
+ Revision: 230949
- 0.11.3c

* Mon Jan 30 2012 fwang <fwang> 0.11.3b-1.mga2
+ Revision: 203291
- new version 0.11.3b

* Tue Nov 15 2011 barjac <barjac> 0.11.3a-1.mga2
+ Revision: 168021
- Description edit again
- Ddescription edit
- New version with glib patch

* Thu Oct 13 2011 fwang <fwang> 0.11.3-1.mga2
+ Revision: 154634
- br xt
- new version 0.11.3

* Sun Feb 27 2011 ahmad <ahmad> 0.11.2c-1.mga1
+ Revision: 61115
- imported package kmplayer

